<Script Runat="Server">

Sub Page_Load
  If Not IsPostBack Then
    ViewState( "CurrentPage" ) = 1
  End If
End Sub

Sub btnNextPage_Click( s As Object, e As EventArgs )
  Dim pnlPanel As Panel
  Dim strPanelName AS String

  ' Hide Previous Panel
  strPanelName = "pnlForm" & ViewState( "CurrentPage" )
  pnlPanel = FindControl( strPanelName )
  pnlPanel.Visible = False

  ' Show Current Panel
  ViewState( "CurrentPage" ) += 1
  strPanelName = "pnlForm" & ViewState( "CurrentPage" )
  pnlPanel = FindControl( strPanelName )
  pnlPanel.Visible = True
End Sub

Sub btnPrevPage_Click( s As Object, e As EventArgs )
  Dim pnlPanel As Panel
  Dim strPanelName AS String

  ' Hide Current Panel
  strPanelName = "pnlForm" & ViewState( "CurrentPage" )
  pnlPanel = FindControl( strPanelName )
  pnlPanel.Visible = False

  ' Show Previous Panel
  ViewState( "CurrentPage" ) -= 1
  strPanelName = "pnlForm" & ViewState( "CurrentPage" )
  pnlPanel = FindControl( strPanelName )
  pnlPanel.Visible = True
End Sub

Sub btnFinish_Click( s As Object, e As EventArgs )
  pnlForm3.Visible = False
  pnlForm4.Visible = True
  lblSummary.Text = "<h2>U heeft ingevuld:</h2>"
  lblSummary.Text &= "<li> Naam=" & txtVoornaam.Text
  lblSummary.Text &= "<li> Voornaam=" & txtNaam.Text
  lblSummary.Text &= "<li> Postnummer=" & txtPostnr.Text
  lblSummary.Text &= "<li> Gemeente=" & txtStad.Text
  lblSummary.Text &= "<li> Beroep=" & txtBeroep.Text
  lblSummary.Text &= "<li> Geboortedatum=" & txtGebDatum.Text
  lblSummary.Text &= "<li> Geslacht=" & radlGeslacht.SelectedItem.Text
  lblSummary.Text &= "<li> Burgerlijke staat=" & radlStaat.SelectedItem.Text
  'lblSummary.Text &= "<li> Beroep=" & chkBeroep.SelectedItem.Text 
  lblSummary.Text &= "<li> Keuzes uit beroepen: <blockquote>"
  
  dim i as integer
  for i = 0 to chkBeroep.Items.Count - 1
	if chkBeroep.Items(i).Selected then
	  lblSummary.Text &= chkBeroep.Items(i).Text & "<br>"
	end if
  next
  lblSummary.Text &= "</blockquote>"

End Sub

Sub postclengte (source As object,args As ServerValidateEventArgs)
  if len(args.Value) > 4 then
    args.IsValid=false
  else 
    args.IsValid=true
end if
End Sub

</Script>

<html>
<head><title>PanelMultiPage.aspx</title></head>
<body>

<form Runat="Server">

<asp:Panel ID="pnlForm1" Runat="Server">

<h3>Pagina <%=ViewState( "CurrentPage" )%> van 3</h3>
<hr>
Voornaam:
<asp:TextBox
  ID="txtVoornaam"
  Runat="Server" />
<asp:requiredfieldvalidator
  id="txtVoorNaamValidator"
  controltovalidate="txtVoornaam"
  display="dynamic"
  errormessage="Verplicht veld"
  runat="server" />
*<p>
Naam:
<asp:TextBox
  ID="txtNaam"
  Runat="Server" />
<asp:requiredfieldvalidator
  id="txtNaamValidator"
  controltovalidate="txtNaam"
  display="dynamic"
  errormessage="Verplicht veld"
  runat="server" />
*<p>
Postcode:
<asp:TextBox
  ID="txtPostnr"
  Runat="Server" />

<asp:CustomValidator
  ControlToValidate="txtPostnr"
  OnServerValidate="postclengte"
  Text="Postcode moet 4 cijfers zijn!"
  runat="server" />
<asp:CompareValidator
  ControlToValidate="txtPostnr"
  Display="Dynamic"
  Text="Geen nummer"
  Operator="DataTypeCheck"
  Type="Integer"
  Runat="Server" />

<p>
Stad:
<asp:TextBox
  ID="txtStad"
  Runat="Server" /> 
<hr>



<asp:Button
  Text="Next Page >>"
  OnClick="btnNextPage_Click"
  Runat="Server" />

</asp:Panel>
<asp:Panel ID="pnlForm2" Runat="Server" Visible="False">

<h3>Pagina <%=ViewState( "CurrentPage" )%> van 3</h3>
<hr>
Beroep:
<asp:TextBox
  ID="txtBeroep"
  Runat="Server" />
<p>
Geboortedatum:
<asp:TextBox
  ID="txtGebDatum"
  Runat="Server" />
<asp:CompareValidator
  ControlToValidate="txtGebDatum"
  Display="Dynamic"
  Text="Invalid birth date!"
  Operator="DataTypeCheck"
  Type="Date"
  Runat="Server" />

<p>
Geslacht:
<asp:RadioButtonList
  ID="radlGeslacht"
  Runat="Server">
  <asp:ListItem Text="Man"/>
  <asp:ListItem Text="Vrouw" />
</asp:RadioButtonList>
<p>
Burgerlijke Staat:
<asp:RadioButtonList
  ID="radlStaat"
  Runat="Server">
  <asp:ListItem Text="Ongehuwd"/>
  <asp:ListItem Text="Gehuwd" />
</asp:RadioButtonList>
<hr>
<asp:Button
  Text="<< Prev Page"
  OnClick="btnPrevPage_Click"
  Runat="Server" />
<asp:Button
  Text="Next Page >>"
  OnClick="btnNextPage_Click"
  Runat="Server" />

</asp:Panel>
<asp:Panel ID="pnlForm3" Runat="Server" Visible="False">

<h3>Pagina <%=ViewState( "CurrentPage" )%> van 3</h3>
<hr>
Beroep:
<asp:CheckBoxList
  ID="chkBeroep"
  Runat="Server">
  <asp:ListItem Text="Openbare instelling" />
  <asp:ListItem Text="Priv" />
  <asp:ListItem Text="Gepensioneerd" />
  <asp:ListItem Text="Werkloos" />
</asp:CheckBoxList>
<hr>
<asp:Button
  Text="<< Prev Page"
  OnClick="btnPrevPage_Click"
  Runat="Server" />
<asp:Button
  Text="Finish"
  OnClick="btnFinish_Click"
  Runat="Server" />

</asp:Panel>
<asp:Panel ID="pnlForm4" Runat="Server" Visible="False">

<asp:Label
  ID="lblSummary"
  Runat="Server"/>

</asp:Panel>

</form>
</body>
</html>
