<Script Runat="Server">

Sub Page_Load
  If Not IsPostBack Then
    ViewState( "CurrentPage" ) = 1
  End If
End Sub

Sub btnNextPage_Click( s As Object, e As EventArgs )
  Dim pnlPanel As Panel
  Dim strPanelName AS String

  ' Hide Previous Panel
  strPanelName = "pnlForm" & ViewState( "CurrentPage" )
  pnlPanel = FindControl( strPanelName )
  pnlPanel.Visible = False

  ' Show Current Panel
  ViewState( "CurrentPage" ) += 1
  strPanelName = "pnlForm" & ViewState( "CurrentPage" )
  pnlPanel = FindControl( strPanelName )
  pnlPanel.Visible = True
End Sub

Sub btnPrevPage_Click( s As Object, e As EventArgs )
  Dim pnlPanel As Panel
  Dim strPanelName AS String

  ' Hide Current Panel
  strPanelName = "pnlForm" & ViewState( "CurrentPage" )
  pnlPanel = FindControl( strPanelName )
  pnlPanel.Visible = False

  ' Show Previous Panel
  ViewState( "CurrentPage" ) -= 1
  strPanelName = "pnlForm" & ViewState( "CurrentPage" )
  pnlPanel = FindControl( strPanelName )
  pnlPanel.Visible = True
End Sub

Sub btnFinish_Click( s As Object, e As EventArgs )
  pnlForm3.Visible = False
  pnlForm4.Visible = True
  lblSummary.Text = "<h2>Uw ingevulde gegevens:</h2>"
  lblSummary.Text &= "<li> Voornaam: " & txtVoornaam.Text
  lblSummary.Text &= "<li> Familienaam: " & txtNaam.Text
  lblSummary.Text &= "<li> Postcode: " & txtPostnr.Text
  lblSummary.Text &= "<li> Woonplaats: " & txtGemeente.Text 
  lblSummary.Text &= "<p>"
  lblSummary.Text &= "<li> Beroep: " & txtBeroep.Text 
  lblSummary.Text &= "<li> Geboortedatum: " & txtGebDatum.Text 
  lblSummary.Text &= "<li> Geslacht: " &  radlGeslacht.SelectedItem.Text
  lblSummary.Text &= "<li> Burgerlijke Staat: " &  radlBurgStaat.SelectedItem.Text
  lblSummary.Text &= "<p>"
  lblSummary.Text &= "<li> Keuzes uit beroepen: <blockquote>"
  
  dim i as integer
  for i = 0 to chklBeroepen.Items.Count - 1
	if chklBeroepen.Items(i).Selected then
	  lblSummary.Text &= chklBeroepen.Items(i).Text & "<br>"
	end if
  next
  lblSummary.Text &= "</blockquote>"
  
End Sub

</Script>

<html>
<head><title>oef01-05.aspx</title></head>
<body>

<form Runat="Server">

<asp:Panel ID="pnlForm1" Runat="Server">

<h3>Page <%=ViewState( "CurrentPage" )%> of 3</h3>
<hr>
Voornaam:
<asp:TextBox
  ID="txtVoornaam"
  Runat="Server" />
<p>
Familienaam:
<asp:TextBox
  ID="txtNaam"
  Runat="Server" />
<p>
Postnr:
<asp:TextBox
  ID="txtPostnr"
  Runat="Server" />
<asp:CompareValidator
  ControlToValidate="txtPostnr"
  Display="Dynamic"
  Text="Ongeldige postcode!"
  Operator="DataTypeCheck"
  Type="Integer"
  Runat="Server" />
<p>
Gemeente:
<asp:TextBox
  ID="txtGemeente"
  Runat="Server" />
<hr>
<asp:Button
  Text="Volgende >>"
  OnClick="btnNextPage_Click"
  Runat="Server" />

</asp:Panel>
<asp:Panel ID="pnlForm2" Runat="Server" Visible="False">

<h3>Page <%=ViewState( "CurrentPage" )%> of 3</h3>
<hr>
Beroep:
<asp:TextBox
  ID="txtBeroep"
  Runat="Server" />
<br>
Geboortedatum:
<asp:TextBox
  ID="txtGebDatum"
  Runat="Server" />
<asp:CompareValidator
  ControlToValidate="txtGebDatum"
  Display="Dynamic"
  Text="Ongeldige datum!"
  Operator="DataTypeCheck"
  Type="Date"
  Runat="Server" />
<br>
Geslacht:
<asp:RadioButtonList
  ID="radlGeslacht"
  Runat="Server">
  <asp:ListItem Text="Vrouw" />
  <asp:ListItem Text="Man" />
</asp:RadioButtonList>
<asp:RequiredFieldValidator
 ControlToValidate="radlGeslacht"
 Text="Ongeldig!"
 runat="server" />
<p>
Burgerlijke staat:
<asp:RadioButtonList
  ID="radlBurgStaat"
  Runat="Server">
  <asp:ListItem Text="Gehuwd" />
  <asp:ListItem Text="Ongehuwd" />
</asp:RadioButtonList>
<asp:RequiredFieldValidator
 ControlToValidate="radlBurgStaat"
 Text="Ongeldig!"
 runat="server" />
<hr>
<asp:Button
  Text="<< Vorige"
  OnClick="btnPrevPage_Click"
  Runat="Server" />
<asp:Button
  Text="Volgende >>"
  OnClick="btnNextPage_Click"
  Runat="Server" />

</asp:Panel>
<asp:Panel ID="pnlForm3" Runat="Server" Visible="False">

<h3>Page <%=ViewState( "CurrentPage" )%> of 3</h3>
<hr>
Maak uw keuzes uit beroepen:
<asp:CheckBoxList
  ID="chklBeroepen"
  Runat="Server">
  <asp:ListItem Text="Openbare sector" />
  <asp:ListItem Text="Priv sector" />
  <asp:ListItem Text="Werloos" />
  <asp:ListItem Text="Gepensioneerd" />
</asp:CheckBoxList>
<hr>
<asp:Button
  Text="<< Vorige"
  OnClick="btnPrevPage_Click"
  Runat="Server" />
<asp:Button
  Text="Versturen"
  OnClick="btnFinish_Click"
  Runat="Server" />

</asp:Panel>
<asp:Panel ID="pnlForm4" Runat="Server" Visible="False">

<asp:Label
  ID="lblSummary"
  Runat="Server"/>

</asp:Panel>

</form>
</body>
</html>
